/*
Theme Name: EWS Child Theme
Theme URI: https://www.edition-software.net
Author: Jacob Benz
Author URI: https://www.humtec.rwth-aachen.de
Description: Child theme for Edition Wissenschaftliche Software, based on Twenty Twenty-Four.
Template: twentytwentyfour
Version: 0.1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ews-child-theme
*/

:where(.wp-site-blocks *:focus) {
	outline-width: 2px;
	outline-style: solid;
}

.current-menu-item {
	text-decoration: underline;
}

@media only screen and (max-width: 1500px) {
	.hypens-class {
		hyphens: auto;
	}
}

@media only screen and (min-width: 780px) {
	.mobilnavbar {
		display: none !important;
	}

	.header-title-text {
		font-size: var(--wp--preset--font-size--x-large) !important;
	}

	.partner-grid {
		grid-template-areas:
			"rwth-heading munich-heading bielefeld-heading"
			"rwth-sub-heading munich-sub-heading bielefeld-sub-heading"
			"rwth-text munich-text bielefeld-text";
		grid-template-columns: repeat(3, 1fr) !important;
		column-gap: var(--wp--preset--spacing--20) !important;
		row-gap: var(--wp--preset--spacing--10) !important;
	}

	.arbeitsgebiete {
		gap: var(--wp--preset--spacing--20) !important;
	}
}

@media only screen and (max-width: 780px) {
	.desktopnavbar {
		display: none !important;
	}

	.header-title-text {
		font-size: var(--wp--preset--font-size--large) !important;
	}

	.partner-grid {
		grid-template-areas:
			"rwth-heading"
			"rwth-sub-heading"
			"rwth-text"
			"munich-heading"
			"munich-sub-heading"
			"munich-text"
			"bielefeld-heading"
			"bielefeld-sub-heading"
			"bielefeld-text";
		grid-template-columns: none !important;
		row-gap: var(--wp--preset--spacing--20) !important;
	}

	.partner-rwth-text,
	.partner-munich-text {
		margin-bottom: 2rem !important;
	}
}

.partner-rwth-heading {
	grid-area: rwth-heading;
}

.partner-rwth-sub-heading {
	grid-area: rwth-sub-heading !important;
}

.partner-rwth-text {
	grid-area: rwth-text;
	text-align: justify;
	hyphens: auto;
}

.partner-munich-heading {
	grid-area: munich-heading;
}

.partner-munich-sub-heading {
	grid-area: munich-sub-heading;
}

.partner-munich-text {
	grid-area: munich-text;
	text-align: justify;
	hyphens: auto;
}

.partner-bielefeld-heading {
	grid-area: bielefeld-heading;
}

.partner-bielefeld-sub-heading {
	grid-area: bielefeld-sub-heading !important;
}

.partner-bielefeld-text {
	grid-area: bielefeld-text;
	text-align: justify;
	hyphens: auto;
}
